Name:		asteroids3D
Summary:	A 3D, first-person game of blowing up asteroids
Version:	0.5.1
Release:	%mkrel 7
License:	GPLv2+
Group:		Games/Arcade
Source:		https://sourceforge.net/projects/a3d/%{name}-%{version}.tar.bz2
URL:		https://sourceforge.net/projects/a3d/	
BuildRequires:	Mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure2_5x --with-gamesdir=%{_gamesbindir} --with-gamedatadir=%{_gamesdatadir}/%{name}
%make

%install
%make_install gamesdir=%{_gamesbindir} gamedatadir=%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{Summary}
EOF

%files
%doc COPYRIGHT README.html 
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}


%changelog
* Sun Jan 17 2016 daviddavid <daviddavid> 0.5.1-7.mga6
+ Revision: 924846
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 749426
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-5.mga5
+ Revision: 678005
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-4.mga4
+ Revision: 502864
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 346472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 11 2011 dmorgan <dmorgan> 0.5.1-2.mga1
+ Revision: 97133
- imported package asteroids3D


* Mon Feb 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.5.1-2mdv2010.1
+ Revision: 499107
- Update Source and URL

* Wed May 20 2009 Samuel Verschelde <stormi@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 378119
- new version 0.5.1
- reworked the spec file a bit
- fixed URL and license

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.2.2-8mdv2009.0
+ Revision: 218435
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2.2-8mdv2008.1
+ Revision: 132149
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request


* Sat Dec 10 2005 Anssi Hannula <anssi.hannula@gmail.com> 0.2.2-8mdk
- fix Makefile for lib64
- %%mkrel

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-7mdk
- rebuild

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2-6mdk
- rebuild
- add menu item
- drop -ggdb from compile flags
- cleanups

* Thu Dec 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-5mdk
- rebuild

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-4mdk
- rebuild

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-3mdk
- BuildRequires: Mesa-common-devel
- Use Optimizations

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- change url

* Mon Nov 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- new in contribs

